package com.bocloud.ims.interfaces.resource.f5;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.ims.entity.resource.f5.BiIRules;

/**
 * IRules service抽象类
 * 
 * @author liuyuanyuan
 *
 */
public interface F5BiIRulesService {

	/**
	 * 列表
	 * @param pager
	 * @return
	 */
	public BocloudResult<GridBean<BiIRules>> list(Pager pager);

	/**
	 * 添加
	 * 
	 * @param biIRules
	 * @param userId
	 * @return
	 */
	public BocloudResult create(BiIRules biIRules, Long userId);

	/**
	 * 更新
	 * 
	 * @param biIRules
	 * @param userId
	 * @return 操作结果
	 */
	public BocloudResult modify(BiIRules biIRules, Long userId);

	/**
	 * 移除
	 * 
	 * @param id
	 *            ID
	 * @param userId
	 *            操作者ID
	 * @return 操作结果
	 */
	public BocloudResult remove(Long id, Long userId);

	/**
	 * 详细信息
	 * 
	 * @param id
	 *            ID
	 * @return 详细信息
	 */
	public BocloudResult<BiIRules> detail(Long id);
}
